package com.tibbo.aggregate.common.sql;

import com.tibbo.aggregate.common.datatable.converter.editor.AggregateConstraintType;

public class NotExistSqlColumn implements SqlColumn
{
    public static final SqlColumn INSTANCE = new NotExistSqlColumn();

    @Override
    public String getName()
    {
        return null;
    }

    @Override
    public boolean isPrimaryKey()
    {
        return false;
    }

    @Override
    public boolean isForeignKey()
    {
        return false;
    }

    @Override
    public String getTypeName()
    {
        return null;
    }

    @Override
    public boolean isNullable()
    {
        return false;
    }

    @Override
    public String getRealName()
    {
        return null;
    }

    @Override
    public SqlTable getTable()
    {
        return null;
    }

    @Override
    public int getDataType()
    {
        return 0;
    }

    @Override
    public void setReferencedTableName(String parentTableName)
    {

    }

    @Override
    public void setParentPrimaryColumnName(String parentPrimaryColumnName)
    {

    }

    @Override
    public String getReferencedTableName()
    {
        return null;
    }

    @Override
    public String getParentPrimaryColumnName()
    {
        return null;
    }

    @Override
    public void setPrimaryKey(boolean pk)
    {

    }

    @Override
    public boolean isAutoIncrement()
    {
        return false;
    }

    @Override
    public boolean isNumber()
    {
        return false;
    }

    @Override
    public boolean isString()
    {
        return false;
    }

    @Override
    public boolean isDataBlock() {
        return false;
    }
}
